// Session.h : Declaration of the CConversionProviderSession
#ifndef __CConversionProviderSession_H_
#define __CConversionProviderSession_H_
#include "resource.h"       // main symbols
#include "ConversionProviderRS.h"
class CConversionProviderSessionTRSchemaRowset;
class CConversionProviderSessionColSchemaRowset;
class CConversionProviderSessionPTSchemaRowset;
/////////////////////////////////////////////////////////////////////////////
// CConversionProviderSession
class ATL_NO_VTABLE CConversionProviderSession : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public IGetDataSourceImpl<CConversionProviderSession>,
	public IOpenRowsetImpl<CConversionProviderSession>,
	public ISessionPropertiesImpl<CConversionProviderSession>,
	public IObjectWithSiteSessionImpl<CConversionProviderSession>,
	public IDBCreateCommandImpl<CConversionProviderSession, CConversionProviderCommand>
{
public:
	CConversionProviderSession()
	{
	}
	HRESULT FinalConstruct()
	{
		return FInit();
	}
	STDMETHOD(OpenRowset)(IUnknown *pUnk, DBID *pTID, DBID *pInID, REFIID riid,
					   ULONG cSets, DBPROPSET rgSets[], IUnknown **ppRowset)
	{
      return E_NOTIMPL;
	}
BEGIN_PROPSET_MAP(CConversionProviderSession)
	BEGIN_PROPERTY_SET(DBPROPSET_SESSION)
		PROPERTY_INFO_ENTRY(SESS_AUTOCOMMITISOLEVELS)
	END_PROPERTY_SET(DBPROPSET_SESSION)
END_PROPSET_MAP()
BEGIN_COM_MAP(CConversionProviderSession)
	COM_INTERFACE_ENTRY(IGetDataSource)
	COM_INTERFACE_ENTRY(IOpenRowset)
	COM_INTERFACE_ENTRY(ISessionProperties)
	COM_INTERFACE_ENTRY(IObjectWithSite)
	COM_INTERFACE_ENTRY(IDBCreateCommand)
END_COM_MAP()
};
#endif //__CConversionProviderSession_H_
